Subject: [PATCH] video: mxsfb: fix color settings for 18bit data bus and 32bpp

From: [email-masked] (maxime.ripard at free-electrons.com)
Date: Fri, 7 Jun 2013 11:02:28 +0200

Hi Hector,

On Fri, Jun 07, 2013 at 10:10:39AM +0200, Hector Palacios wrote:
> For a combination of 18bit LCD data bus width and a color
> mode of 32bpp, the driver was setting the color mapping to
> rgb666, which is wrong, as the color in memory realy has an
> rgb888 layout.
> 
> This patch also removes the setting of flag CTRL_DF24 that
> makes the driver dimiss the upper 2 bits when handling 32/24bpp
> colors in a diplay with 18bit data bus width. This flag made
> true color images display wrong in such configurations.
> 
> Finally, the color mapping rgb666 has also been removed as nobody
> is using it and high level applications like Qt5 cannot work
> with it either.
> 
> Reference: https://lkml.org/lkml/2013/5/23/220
> Signed-off-by: Hector Palacios <[email-masked]>
> Acked-by: Juergen Beisert <[email-masked]>

Acked-by: Maxime Ripard <[email-masked]>

Please also note that fbdev is now maintained by Jean Christophe
Plagniol-Villard (plagnioj at jcrosoft.com, in CC), and that he is away
until the 10th of June, so maybe it should be safe to resend it to him
after this date.

Thanks!
Maxime